be.fgov.ehealth.insurability.core.v1

## Class ReturnCodeType

- java.lang.Object
- - be.fgov.ehealth.insurability.core.v1.ReturnCodeType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-06-08T05:28:06+02:00",
                 comments="JAXB RI v2.2.11")
      public class ReturnCodeType
      extends Object
      implements Serializable

  The "root"-type of the ReturnCodeType element.

  Java class for ReturnCodeType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ReturnCodeType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Major" type="{urn:be:fgov:ehealth:insurability:core:v1}ShortReturnValueType"/>
               <element name="Minor" type="{urn:be:fgov:ehealth:insurability:core:v1}ShortReturnValueType"/>
               <element name="Detail" type="{urn:be:fgov:ehealth:insurability:core:v1}LongReturnValueType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReturnCodeType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDetail()` Gets the value of the detail property.
    `String` | `getMajor()` Gets the value of the major property.
    `String` | `getMinor()` Gets the value of the minor property.
    `void` | `setDetail(String value)` Sets the value of the detail property.
    `void` | `setMajor(String value)` Sets the value of the major property.
    `void` | `setMinor(String value)` Sets the value of the minor property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReturnCodeType

          public ReturnCodeType()

  - ### Method Detail

    - #### getMajor

          public String getMajor()

      Gets the value of the major property.
      Returns:
        possible object is `String`

    - #### setMajor

          public void setMajor(String value)

      Sets the value of the major property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMinor

          public String getMinor()

      Gets the value of the minor property.
      Returns:
        possible object is `String`

    - #### setMinor

          public void setMinor(String value)

      Sets the value of the minor property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDetail

          public String getDetail()

      Gets the value of the detail property.
      Returns:
        possible object is `String`

    - #### setDetail

          public void setDetail(String value)

      Sets the value of the detail property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging generic 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.